Skip to main content
GET
/
v1
/
platform
/
evaluators
/
spend
Error
A valid request URL is required to generate request examples
{
  "groups": [
    {
      "dataset_id": "<string>",
      "dataset_name": "<string>",
      "days": [
        {
          "date": "<string>",
          "spend_usd": 123,
          "trace_count": 123
        }
      ],
      "evaluator_id": "<string>",
      "evaluator_name": "<string>",
      "prev_total_spend_usd": 123,
      "prev_total_trace_count": 123,
      "run_rule_id": "<string>",
      "run_rule_name": "<string>",
      "session_id": "<string>",
      "session_name": "<string>",
      "spend_limit": {
        "limit_usd": 123,
        "utilization_pct": 123,
        "window": "<string>"
      },
      "total_spend_usd": 123,
      "total_trace_count": 123
    }
  ],
  "period_end": "<string>",
  "period_start": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.langchain.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

group_by
string

Aggregation mode: 'evaluator', 'resource', or 'run_rule'. Mutually exclusive with entity filters.

evaluator_id
string

Filter to a specific evaluator (UUID). Mutually exclusive with group_by.

session_id
string

Filter to a specific project (UUID). Mutually exclusive with group_by.

dataset_id
string

Filter to a specific dataset (UUID). Mutually exclusive with group_by.

period_start
string
required

Start of the 7-day window (YYYY-MM-DD).

Response

OK

groups
object[]
period_end
string
period_start
string